<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Base Plugins 1.0 Plugins Reference Manual: videotestsrc</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Base Plugins 1.0 Plugins Reference Manual">
<link rel="up" href="ch01.html" title="gst-plugins-base Elements">
<link rel="prev" href="gst-plugins-base-plugins-videoscale.html" title="videoscale">
<link rel="next" href="gst-plugins-base-plugins-volume.html" title="volume">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description"> <span class="dim">|</span> 
                  <a href="#gst-plugins-base-plugins-videotestsrc.description" class="shortcut">Description</a></span><span id="nav_hierarchy"> <span class="dim">|</span> 
                  <a href="#gst-plugins-base-plugins-videotestsrc.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_properties"> <span class="dim">|</span> 
                  <a href="#gst-plugins-base-plugins-videotestsrc.properties" class="shortcut">Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch01.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-plugins-base-plugins-videoscale.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-plugins-base-plugins-volume.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-plugins-base-plugins-videotestsrc"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="gst-plugins-base-plugins-videotestsrc.top_of_page"></a>videotestsrc</span></h2>
<p>videotestsrc — Creates a test video stream</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="gst-plugins-base-plugins-videotestsrc.properties"></a><h2>Properties</h2>
<div class="informaltable"><table border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc--background-color" title="The “background-color” property">background-color</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc--foreground-color" title="The “foreground-color” property">foreground-color</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc--horizontal-speed" title="The “horizontal-speed” property">horizontal-speed</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc--is-live" title="The “is-live” property">is-live</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc--k0" title="The “k0” property">k0</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc--kt" title="The “kt” property">kt</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc--kt2" title="The “kt2” property">kt2</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc--kx" title="The “kx” property">kx</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc--kx2" title="The “kx2” property">kx2</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc--kxt" title="The “kxt” property">kxt</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc--kxy" title="The “kxy” property">kxy</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc--ky" title="The “ky” property">ky</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc--ky2" title="The “ky2” property">ky2</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc--kyt" title="The “kyt” property">kyt</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrcPattern" title="enum GstVideoTestSrcPattern"><span class="type">GstVideoTestSrcPattern</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc--pattern" title="The “pattern” property">pattern</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">gint64</span></td>
<td class="property_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc--timestamp-offset" title="The “timestamp-offset” property">timestamp-offset</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc--xoffset" title="The “xoffset” property">xoffset</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc--yoffset" title="The “yoffset” property">yoffset</a></td>
<td class="property_flags">Read / Write</td>
</tr>
</tbody>
</table></div>
</div>
<a name="GstVideoTestSrc"></a><div class="refsect1">
<a name="gst-plugins-base-plugins-videotestsrc.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody>
<tr>
<td class="datatype_keyword">struct</td>
<td class="function_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrc-struct" title="struct GstVideoTestSrc">GstVideoTestSrc</a></td>
</tr>
<tr>
<td class="datatype_keyword">enum</td>
<td class="function_name"><a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrcPattern" title="enum GstVideoTestSrcPattern">GstVideoTestSrcPattern</a></td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-plugins-base-plugins-videotestsrc.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject">GObject</a>
    <span class="lineart">╰──</span> <a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstObject.html">GstObject</a>
            <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstElement.html">GstElement</a>
                <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer-libs/html/GstBaseSrc.html">GstBaseSrc</a>
                    <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer-libs/html/GstPushSrc.html">GstPushSrc</a>
                        <span class="lineart">╰──</span> GstVideoTestSrc
</pre>
</div>
<div class="refsect1">
<a name="gst-plugins-base-plugins-videotestsrc.description"></a><h2>Description</h2>
<p>The videotestsrc element is used to produce test video data in a wide variety
of formats. The video test data produced can be controlled with the "pattern"
property.</p>
<div class="refsect2">
<a name="id-1.2.41.7.3"></a><h3>Example launch line</h3>
<div class="informalexample">
  <table class="listing_frame" border="0" cellpadding="0" cellspacing="0">
    <tbody>
      <tr>
        <td class="listing_lines" align="right"><pre>1</pre></td>
        <td class="listing_code"><pre class="programlisting">gst<span class="gtkdoc opt">-</span>launch <span class="gtkdoc opt">-</span>v videotestsrc pattern<span class="gtkdoc opt">=</span>snow <span class="gtkdoc opt">!</span> ximagesink</pre></td>
      </tr>
    </tbody>
  </table>
</div>
 Shows random noise in an X window.
</div>
<div class="refsynopsisdiv">
<h2>Synopsis</h2>
<div class="refsect2">
<a name="id-1.2.41.7.4.1"></a><h3>Element Information</h3>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">plugin</span></p></td>
<td>
            <a class="link" href="gst-plugins-base-plugins-plugin-videotestsrc.html#plugin-videotestsrc">videotestsrc</a>
          </td>
</tr>
<tr>
<td><p><span class="term">author</span></p></td>
<td>David A. Schleef &lt;ds@schleef.org&gt;</td>
</tr>
<tr>
<td><p><span class="term">class</span></p></td>
<td>Source/Video</td>
</tr>
</tbody>
</table></div>
</div>
<hr>
<div class="refsect2">
<a name="id-1.2.41.7.4.2"></a><h3>Element Pads</h3>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">name</span></p></td>
<td>src</td>
</tr>
<tr>
<td><p><span class="term">direction</span></p></td>
<td>source</td>
</tr>
<tr>
<td><p><span class="term">presence</span></p></td>
<td>always</td>
</tr>
<tr>
<td><p><span class="term">details</span></p></td>
<td>video/x-raw, format=(string){ I420, YV12, YUY2, UYVY, AYUV, RGBx, BGRx, xRGB, xBGR, RGBA, BGRA, ARGB, ABGR, RGB, BGR, Y41B, Y42B, YVYU, Y444, v210, v216, NV12, NV21, NV16, NV24, GRAY8, GRAY16_BE, GRAY16_LE, v308, RGB16, BGR16, RGB15, BGR15, UYVP, A420, RGB8P, YUV9, YVU9, IYU1, ARGB64, AYUV64, r210, I420_10LE, I420_10BE, I422_10LE, I422_10BE, Y444_10LE, Y444_10BE, GBR, GBR_10LE, GBR_10BE, NV12_64Z32 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> video/x-bayer, format=(string){ bggr, rggb, grbg, gbrg }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]</td>
</tr>
</tbody>
</table></div>
</div>
</div>
<p>
</p>
</div>
<div class="refsect1">
<a name="gst-plugins-base-plugins-videotestsrc.functions_details"></a><h2>Functions</h2>
</div>
<div class="refsect1">
<a name="gst-plugins-base-plugins-videotestsrc.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GstVideoTestSrc-struct"></a><h3>struct GstVideoTestSrc</h3>
<pre class="programlisting">struct GstVideoTestSrc;</pre>
<p>Opaque data structure.</p>
</div>
<hr>
<div class="refsect2">
<a name="GstVideoTestSrcPattern"></a><h3>enum GstVideoTestSrcPattern</h3>
<p>The test pattern to produce.</p>
<p>The Gamut pattern creates a checkerboard pattern of colors at the
edge of the YCbCr gamut and nearby colors that are out of gamut.
The pattern is divided into 4 regions: black, white, red, and blue.
After conversion to RGB, the out-of-gamut colors should be converted
to the same value as their in-gamut neighbors.  If the checkerboard
pattern is still visible after conversion, this indicates a faulty
conversion.  Image manipulation, such as adjusting contrast or
brightness, can also cause the pattern to be visible.</p>
<p>The Zone Plate pattern is based on BBC R&amp;D Report 1978/23, and can
be used to test spatial frequency response of a system.  This
pattern generator is controlled by the xoffset and yoffset parameters
and also by all the parameters starting with 'k'.  The default
parameters produce a grey pattern.  Try 'videotestsrc
pattern=zone-plate kx2=20 ky2=20 kt=1' to produce something
interesting.</p>
<div class="refsect3">
<a name="id-1.2.41.9.3.6"></a><h4>Members</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="300px" class="enum_members_name">
<col class="enum_members_description">
<col width="200px" class="enum_members_annotations">
</colgroup>
<tbody>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-SMPTE:CAPS"></a>GST_VIDEO_TEST_SRC_SMPTE</p></td>
<td class="enum_member_description">
<p>A standard SMPTE test pattern</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-SNOW:CAPS"></a>GST_VIDEO_TEST_SRC_SNOW</p></td>
<td class="enum_member_description">
<p>Random noise</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-BLACK:CAPS"></a>GST_VIDEO_TEST_SRC_BLACK</p></td>
<td class="enum_member_description">
<p>A black image</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-WHITE:CAPS"></a>GST_VIDEO_TEST_SRC_WHITE</p></td>
<td class="enum_member_description">
<p>A white image</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-RED:CAPS"></a>GST_VIDEO_TEST_SRC_RED</p></td>
<td class="enum_member_description">
<p>A red image</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-GREEN:CAPS"></a>GST_VIDEO_TEST_SRC_GREEN</p></td>
<td class="enum_member_description">
<p>A green image</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-BLUE:CAPS"></a>GST_VIDEO_TEST_SRC_BLUE</p></td>
<td class="enum_member_description">
<p>A blue image</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-CHECKERS1:CAPS"></a>GST_VIDEO_TEST_SRC_CHECKERS1</p></td>
<td class="enum_member_description">
<p>Checkers pattern (1px)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-CHECKERS2:CAPS"></a>GST_VIDEO_TEST_SRC_CHECKERS2</p></td>
<td class="enum_member_description">
<p>Checkers pattern (2px)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-CHECKERS4:CAPS"></a>GST_VIDEO_TEST_SRC_CHECKERS4</p></td>
<td class="enum_member_description">
<p>Checkers pattern (4px)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-CHECKERS8:CAPS"></a>GST_VIDEO_TEST_SRC_CHECKERS8</p></td>
<td class="enum_member_description">
<p>Checkers pattern (8px)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-CIRCULAR:CAPS"></a>GST_VIDEO_TEST_SRC_CIRCULAR</p></td>
<td class="enum_member_description">
<p>Circular pattern</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-BLINK:CAPS"></a>GST_VIDEO_TEST_SRC_BLINK</p></td>
<td class="enum_member_description">
<p>Alternate between black and white</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-SMPTE75:CAPS"></a>GST_VIDEO_TEST_SRC_SMPTE75</p></td>
<td class="enum_member_description">
<p>SMPTE test pattern (75% color bars)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-ZONE-PLATE:CAPS"></a>GST_VIDEO_TEST_SRC_ZONE_PLATE</p></td>
<td class="enum_member_description">
<p>Zone plate</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-GAMUT:CAPS"></a>GST_VIDEO_TEST_SRC_GAMUT</p></td>
<td class="enum_member_description">
<p>Gamut checking pattern</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-CHROMA-ZONE-PLATE:CAPS"></a>GST_VIDEO_TEST_SRC_CHROMA_ZONE_PLATE</p></td>
<td class="enum_member_description">
<p>Chroma zone plate</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-SOLID:CAPS"></a>GST_VIDEO_TEST_SRC_SOLID</p></td>
<td class="enum_member_description"> </td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-BALL:CAPS"></a>GST_VIDEO_TEST_SRC_BALL</p></td>
<td class="enum_member_description">
<p>Moving ball</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-SMPTE100:CAPS"></a>GST_VIDEO_TEST_SRC_SMPTE100</p></td>
<td class="enum_member_description">
<p>SMPTE test pattern (100% color bars)</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-BAR:CAPS"></a>GST_VIDEO_TEST_SRC_BAR</p></td>
<td class="enum_member_description">
<p>Bar with foreground color</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-PINWHEEL:CAPS"></a>GST_VIDEO_TEST_SRC_PINWHEEL</p></td>
<td class="enum_member_description">
<p>Pinwheel</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-VIDEO-TEST-SRC-SPOKES:CAPS"></a>GST_VIDEO_TEST_SRC_SPOKES</p></td>
<td class="enum_member_description">
<p>Spokes</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
</div>
<div class="refsect1">
<a name="gst-plugins-base-plugins-videotestsrc.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GstVideoTestSrc--background-color"></a><h3>The <code class="literal">“background-color”</code> property</h3>
<pre class="programlisting">  “background-color”         <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>Color to use for background color of some patterns.  Default is
black (0xff000000).</p>
<p>Flags: Read / Write</p>
<p>Default value: 4278190080</p>
</div>
<hr>
<div class="refsect2">
<a name="GstVideoTestSrc--foreground-color"></a><h3>The <code class="literal">“foreground-color”</code> property</h3>
<pre class="programlisting">  “foreground-color”         <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>Color to use for solid-color pattern and foreground color of other
patterns.  Default is white (0xffffffff).</p>
<p>Flags: Read / Write</p>
<p>Default value: 4294967295</p>
</div>
<hr>
<div class="refsect2">
<a name="GstVideoTestSrc--horizontal-speed"></a><h3>The <code class="literal">“horizontal-speed”</code> property</h3>
<pre class="programlisting">  “horizontal-speed”         <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Scroll image number of pixels per frame (positive is scroll to the left).</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstVideoTestSrc--is-live"></a><h3>The <code class="literal">“is-live”</code> property</h3>
<pre class="programlisting">  “is-live”                  <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Whether to act as a live source.</p>
<p>Flags: Read / Write</p>
<p>Default value: FALSE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstVideoTestSrc--k0"></a><h3>The <code class="literal">“k0”</code> property</h3>
<pre class="programlisting">  “k0”                       <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Zoneplate zero order phase, for generating plain fields or phase offsets.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstVideoTestSrc--kt"></a><h3>The <code class="literal">“kt”</code> property</h3>
<pre class="programlisting">  “kt”                       <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Zoneplate 1st order t phase, for generating phase rotation as a function of time.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstVideoTestSrc--kt2"></a><h3>The <code class="literal">“kt2”</code> property</h3>
<pre class="programlisting">  “kt2”                      <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Zoneplate 2nd order t phase, t*t/256 cycles per picture.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstVideoTestSrc--kx"></a><h3>The <code class="literal">“kx”</code> property</h3>
<pre class="programlisting">  “kx”                       <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Zoneplate 1st order x phase, for generating constant horizontal frequencies.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstVideoTestSrc--kx2"></a><h3>The <code class="literal">“kx2”</code> property</h3>
<pre class="programlisting">  “kx2”                      <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Zoneplate 2nd order x phase, normalised to kx2/256 cycles per horizontal pixel at width/2 from origin.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstVideoTestSrc--kxt"></a><h3>The <code class="literal">“kxt”</code> property</h3>
<pre class="programlisting">  “kxt”                      <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Zoneplate x*t product phase, normalised to kxy/256 cycles per vertical pixel at width/2 from origin.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstVideoTestSrc--kxy"></a><h3>The <code class="literal">“kxy”</code> property</h3>
<pre class="programlisting">  “kxy”                      <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Zoneplate x*y product phase.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstVideoTestSrc--ky"></a><h3>The <code class="literal">“ky”</code> property</h3>
<pre class="programlisting">  “ky”                       <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Zoneplate 1st order y phase, for generating contant vertical frequencies.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstVideoTestSrc--ky2"></a><h3>The <code class="literal">“ky2”</code> property</h3>
<pre class="programlisting">  “ky2”                      <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Zoneplate 2nd order y phase, normailsed to ky2/256 cycles per vertical pixel at height/2 from origin.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstVideoTestSrc--kyt"></a><h3>The <code class="literal">“kyt”</code> property</h3>
<pre class="programlisting">  “kyt”                      <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Zoneplate y*t product phase.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstVideoTestSrc--pattern"></a><h3>The <code class="literal">“pattern”</code> property</h3>
<pre class="programlisting">  “pattern”                  <a class="link" href="gst-plugins-base-plugins-videotestsrc.html#GstVideoTestSrcPattern" title="enum GstVideoTestSrcPattern"><span class="type">GstVideoTestSrcPattern</span></a></pre>
<p>Type of test pattern to generate.</p>
<p>Flags: Read / Write</p>
<p>Default value: SMPTE 100% color bars</p>
</div>
<hr>
<div class="refsect2">
<a name="GstVideoTestSrc--timestamp-offset"></a><h3>The <code class="literal">“timestamp-offset”</code> property</h3>
<pre class="programlisting">  “timestamp-offset”         <span class="type">gint64</span></pre>
<p>An offset added to timestamps set on buffers (in ns).</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstVideoTestSrc--xoffset"></a><h3>The <code class="literal">“xoffset”</code> property</h3>
<pre class="programlisting">  “xoffset”                  <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Zoneplate 2nd order products x offset.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstVideoTestSrc--yoffset"></a><h3>The <code class="literal">“yoffset”</code> property</h3>
<pre class="programlisting">  “yoffset”                  <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Zoneplate 2nd order products y offset.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>